import wx

class AgarDropTarget(wx.PyDropTarget):
    """A basic class to handle generic drop operations.  Requies the
    onData method to be passed in to the constructor."""
    def __init__(self, onData):
        self.onData = onData

        wx.PyDropTarget.__init__(self)

    def OnDrop(self, x, y):
        return True

    def OnDragOver(self, x, y, data):
        return data

    def OnData(self, x, y, data):
        self.onData(x, y, data)
